Skip to content

Configuration

GET /configurations/{application_id}

Path parameters:

NameTypeDescription
application_idstring

Response:

[
{
"id": "string",
"name": "string",
"value": "string",
"secret": true,
"buildtime": true,
"created": {},
"updated": {}
}
]
GET /configurations/{application_id}/{config_id}

Path parameters:

NameTypeDescription
application_idstring
config_idstring

Response:

{
"id": "string",
"name": "string",
"value": "string",
"secret": true,
"buildtime": true,
"created": {},
"updated": {}
}
POST /configurations/{application_id}

Path parameters:

NameTypeDescription
application_idstring

Request body:

{
"name": "string",
"value": "string",
"secret": true,
"buildtime": true
}

Response:

{
"id": "string",
"name": "string",
"value": "string",
"secret": true,
"buildtime": true,
"created": {},
"updated": {}
}
POST /configurations/{application_id}/bulk

Path parameters:

NameTypeDescription
application_idstring

Request body:

{
"variables": {},
"raw": {},
"secret": true,
"buildtime": true
}

Response:

{
"created": [
"string"
],
"skipped": [
"string"
],
"errors": [
{}
]
}
PATCH /configurations/{application_id}/{config_id}

Path parameters:

NameTypeDescription
application_idstring
config_idstring

Request body:

{
"value": "string",
"secret": {},
"buildtime": {}
}

Response:

{
"id": "string",
"name": "string",
"value": "string",
"secret": true,
"buildtime": true,
"created": {},
"updated": {}
}
DELETE /configurations/{application_id}/{config_id}

Path parameters:

NameTypeDescription
application_idstring
config_idstring

Response:

{
"ok": true
}